<?xml version="1.0"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
               "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % local.common.attrib "xmlns:xi  CDATA  #FIXED 'http://www.w3.org/2003/XInclude'">
<!ENTITY version SYSTEM "version.xml">
]>
<!--ENTITY index-Objects-Grouped SYSTEM "objects_grouped.sgml"-->
<refentry id="GtkPlotBar">
<refmeta>
<refentrytitle role="top_of_page" id="GtkPlotBar.top_of_page">GtkPlotBar</refentrytitle>
<manvolnum>3</manvolnum>
<refmiscinfo>GTKEXTRA Library</refmiscinfo>
</refmeta>
<refnamediv>
<refname>GtkPlotBar</refname>
<refpurpose>3d scientific plots widget for GTK.</refpurpose>
</refnamediv>

<refsect1 id="GtkPlotBar.functions" role="functions_proto">
<title role="functions_proto.title">Functions</title>
<informaltable pgwide="1" frame="none">
<tgroup cols="2">
<colspec colname="functions_return" colwidth="150px"/>
<colspec colname="functions_name"/>
<tbody>
<row><entry role="function_type"><link linkend="GtkWidget"><returnvalue>GtkWidget</returnvalue></link>&#160;*
</entry><entry role="function_name"><link linkend="gtk-plot-bar-new">gtk_plot_bar_new</link>&#160;<phrase role="c_punctuation">()</phrase></entry></row>
<row><entry role="function_type"><link linkend="void"><returnvalue>void</returnvalue></link>
</entry><entry role="function_name"><link linkend="gtk-plot-bar-construct">gtk_plot_bar_construct</link>&#160;<phrase role="c_punctuation">()</phrase></entry></row>
<row><entry role="function_type"><link linkend="void"><returnvalue>void</returnvalue></link>
</entry><entry role="function_name"><link linkend="gtk-plot-bar-set-width">gtk_plot_bar_set_width</link>&#160;<phrase role="c_punctuation">()</phrase></entry></row>
<row><entry role="function_type"><link linkend="gdouble"><returnvalue>gdouble</returnvalue></link>
</entry><entry role="function_name"><link linkend="gtk-plot-bar-get-width">gtk_plot_bar_get_width</link>&#160;<phrase role="c_punctuation">()</phrase></entry></row>

</tbody>
</tgroup>
</informaltable>
</refsect1>
<refsect1 id="GtkPlotBar.properties" role="properties">
<title role="properties.title">Properties</title>
<informaltable frame="none">
<tgroup cols="3">
<colspec colname="properties_type" colwidth="150px"/>
<colspec colname="properties_name" colwidth="300px"/>
<colspec colname="properties_flags" colwidth="200px"/>
<tbody>
<row><entry role="property_type"><link linkend="GtkOrientation"><type>GtkOrientation</type></link></entry><entry role="property_name"><link linkend="GtkPlotBar--orientation">orientation</link></entry><entry role="property_flags">Read / Write</entry></row>
<row><entry role="property_type"><link linkend="gdouble"><type>gdouble</type></link></entry><entry role="property_name"><link linkend="GtkPlotBar--width">width</link></entry><entry role="property_flags">Read / Write</entry></row>

</tbody>
</tgroup>
</informaltable>
</refsect1>
<refsect1 id="GtkPlotBar.other" role="other_proto">
<title role="other_proto.title">Types and Values</title>
<informaltable role="enum_members_table" pgwide="1" frame="none">
<tgroup cols="2">
<colspec colname="name" colwidth="150px"/>
<colspec colname="description"/>
<tbody>
<row><entry role="datatype_keyword">struct</entry><entry role="function_name"><link linkend="GtkPlotBar-struct">GtkPlotBar</link></entry></row>
<row><entry role="datatype_keyword">enum</entry><entry role="function_name"><link linkend="GtkPlotBarUnits">GtkPlotBarUnits</link></entry></row>

</tbody>
</tgroup>
</informaltable>
</refsect1>
<refsect1 id="GtkPlotBar.object-hierarchy" role="object_hierarchy">
<title role="object_hierarchy.title">Object Hierarchy</title>
<screen>    <link linkend="GObject">GObject</link>
    <phrase role="lineart">&#9584;&#9472;&#9472;</phrase> <link linkend="GInitiallyUnowned">GInitiallyUnowned</link>
        <phrase role="lineart">&#9584;&#9472;&#9472;</phrase> <link linkend="GtkObject">GtkObject</link>
            <phrase role="lineart">&#9584;&#9472;&#9472;</phrase> <link linkend="GtkWidget">GtkWidget</link>
                <phrase role="lineart">&#9584;&#9472;&#9472;</phrase> <link linkend="GtkPlotData">GtkPlotData</link>
                    <phrase role="lineart">&#9584;&#9472;&#9472;</phrase> GtkPlotBar
</screen>
</refsect1>
<refsect1 id="GtkPlotBar.implemented-interfaces" role="impl_interfaces">
<title role="impl_interfaces.title">Implemented Interfaces</title>
<para>
GtkPlotBar implements
 <link linkend="AtkImplementorIface">AtkImplementorIface</link> and  <link linkend="GtkBuildable">GtkBuildable</link>.</para>

</refsect1>

<refsect1 id="GtkPlotBar.includes"><title>Includes</title><synopsis>#include &lt;gtkextra.h&gt;
</synopsis></refsect1>

<refsect1 id="GtkPlotBar.description" role="desc">
<title role="desc.title">Description</title>
<para>FIXME:: Need long description.</para>

</refsect1>
<refsect1 id="GtkPlotBar.functions_details" role="details">
<title role="details.title">Functions</title>
<refsect2 id="gtk-plot-bar-new" role="function">
<title>gtk_plot_bar_new&#160;()</title>
<indexterm zone="gtk-plot-bar-new"><primary>gtk_plot_bar_new</primary></indexterm>
<programlisting language="C"><link linkend="GtkWidget"><returnvalue>GtkWidget</returnvalue></link>&#160;*
gtk_plot_bar_new (<parameter><link linkend="GtkOrientation"><type>GtkOrientation</type></link> orientation</parameter>);</programlisting>
<para>Create a new GtkPlotBar widget.</para>
<refsect3 id="gtk-plot-bar-new.parameters" role="parameters">
<title>Parameters</title>
<informaltable role="parameters_table" pgwide="1" frame="none">
<tgroup cols="3">
<colspec colname="parameters_name" colwidth="150px"/>
<colspec colname="parameters_description"/>
<colspec colname="parameters_annotations" colwidth="200px"/>
<tbody>
<row><entry role="parameter_name"><para>orientation</para></entry>
<entry role="parameter_description"><para>GTK_ORIENTATION_HORIZONTAL or GTK_ORIENTATION_VERTICAL.</para></entry>
<entry role="parameter_annotations"></entry></row>
</tbody></tgroup></informaltable>
</refsect3><refsect3 id="gtk-plot-bar-new.returns" role="returns">
<title>Returns</title>
<para> a new GtkWidget.</para>
</refsect3></refsect2>
<refsect2 id="gtk-plot-bar-construct" role="function">
<title>gtk_plot_bar_construct&#160;()</title>
<indexterm zone="gtk-plot-bar-construct"><primary>gtk_plot_bar_construct</primary></indexterm>
<programlisting language="C"><link linkend="void"><returnvalue>void</returnvalue></link>
gtk_plot_bar_construct (<parameter><link linkend="GtkPlotBar"><type>GtkPlotBar</type></link> *bar</parameter>,
                        <parameter><link linkend="GtkOrientation"><type>GtkOrientation</type></link> orientation</parameter>);</programlisting>
<para>Initializes a <link linkend="GtkPlotBar"><type>GtkPlotBar</type></link> structure.</para>
<refsect3 id="gtk-plot-bar-construct.parameters" role="parameters">
<title>Parameters</title>
<informaltable role="parameters_table" pgwide="1" frame="none">
<tgroup cols="3">
<colspec colname="parameters_name" colwidth="150px"/>
<colspec colname="parameters_description"/>
<colspec colname="parameters_annotations" colwidth="200px"/>
<tbody>
<row><entry role="parameter_name"><para>bar</para></entry>
<entry role="parameter_description"><para>a <link linkend="GtkPlotBar"><type>GtkPlotBar</type></link> widget.</para></entry>
<entry role="parameter_annotations"></entry></row>
<row><entry role="parameter_name"><para>orientation</para></entry>
<entry role="parameter_description"><para>GTK_ORIENTATION_HORIZONTAL or GTK_ORIENTATION_VERTICAL.</para></entry>
<entry role="parameter_annotations"></entry></row>
</tbody></tgroup></informaltable>
</refsect3></refsect2>
<refsect2 id="gtk-plot-bar-set-width" role="function">
<title>gtk_plot_bar_set_width&#160;()</title>
<indexterm zone="gtk-plot-bar-set-width"><primary>gtk_plot_bar_set_width</primary></indexterm>
<programlisting language="C"><link linkend="void"><returnvalue>void</returnvalue></link>
gtk_plot_bar_set_width (<parameter><link linkend="GtkPlotBar"><type>GtkPlotBar</type></link> *bar</parameter>,
                        <parameter><link linkend="gdouble"><type>gdouble</type></link> width</parameter>);</programlisting>
<para>Set the width of a GtkPlotBar widget.</para>
<refsect3 id="gtk-plot-bar-set-width.parameters" role="parameters">
<title>Parameters</title>
<informaltable role="parameters_table" pgwide="1" frame="none">
<tgroup cols="3">
<colspec colname="parameters_name" colwidth="150px"/>
<colspec colname="parameters_description"/>
<colspec colname="parameters_annotations" colwidth="200px"/>
<tbody>
<row><entry role="parameter_name"><para>bar</para></entry>
<entry role="parameter_description"><para>a <link linkend="GtkPlotBar"><type>GtkPlotBar</type></link> widget.</para></entry>
<entry role="parameter_annotations"></entry></row>
<row><entry role="parameter_name"><para>width</para></entry>
<entry role="parameter_description"><para>widget width.</para></entry>
<entry role="parameter_annotations"></entry></row>
</tbody></tgroup></informaltable>
</refsect3></refsect2>
<refsect2 id="gtk-plot-bar-get-width" role="function">
<title>gtk_plot_bar_get_width&#160;()</title>
<indexterm zone="gtk-plot-bar-get-width"><primary>gtk_plot_bar_get_width</primary></indexterm>
<programlisting language="C"><link linkend="gdouble"><returnvalue>gdouble</returnvalue></link>
gtk_plot_bar_get_width (<parameter><link linkend="GtkPlotBar"><type>GtkPlotBar</type></link> *bar</parameter>);</programlisting>
<para>Set the width of a GtkPlotBar widget.</para>
<refsect3 id="gtk-plot-bar-get-width.parameters" role="parameters">
<title>Parameters</title>
<informaltable role="parameters_table" pgwide="1" frame="none">
<tgroup cols="3">
<colspec colname="parameters_name" colwidth="150px"/>
<colspec colname="parameters_description"/>
<colspec colname="parameters_annotations" colwidth="200px"/>
<tbody>
<row><entry role="parameter_name"><para>bar</para></entry>
<entry role="parameter_description"><para>a <link linkend="GtkPlotBar"><type>GtkPlotBar</type></link> widget.</para></entry>
<entry role="parameter_annotations"></entry></row>
</tbody></tgroup></informaltable>
</refsect3><refsect3 id="gtk-plot-bar-get-width.returns" role="returns">
<title>Returns</title>
<para> widget width.</para>
</refsect3></refsect2>

</refsect1>
<refsect1 id="GtkPlotBar.other_details" role="details">
<title role="details.title">Types and Values</title>
<refsect2 id="GtkPlotBar-struct" role="struct">
<title>struct GtkPlotBar</title>
<indexterm zone="GtkPlotBar-struct"><primary>GtkPlotBar</primary></indexterm>
<programlisting language="C">struct GtkPlotBar;</programlisting>
<para>The GtkPlotBar struct contains only private data.
It should only be accessed through the functions described below.</para>
</refsect2>
<refsect2 id="GtkPlotBarUnits" role="enum">
<title>enum GtkPlotBarUnits</title>
<indexterm zone="GtkPlotBarUnits"><primary>GtkPlotBarUnits</primary></indexterm>
<para>
</para>
<refsect3 id="GtkPlotBarUnits.members" role="enum_members">
<title>Members</title>
<informaltable role="enum_members_table" pgwide="1" frame="none">
<tgroup cols="3">
<colspec colname="enum_members_name" colwidth="300px"/>
<colspec colname="enum_members_description"/>
<colspec colname="enum_members_annotations" colwidth="200px"/>
<tbody>
<row role="constant"><entry role="enum_member_name"><para id="GTK-PLOT-BAR-POINTS:CAPS">GTK_PLOT_BAR_POINTS</para></entry>
<entry role="enum_member_description"></entry>
<entry role="enum_member_annotations"></entry>
</row>
<row role="constant"><entry role="enum_member_name"><para id="GTK-PLOT-BAR-RELATIVE:CAPS">GTK_PLOT_BAR_RELATIVE</para></entry>
<entry role="enum_member_description"></entry>
<entry role="enum_member_annotations"></entry>
</row>
<row role="constant"><entry role="enum_member_name"><para id="GTK-PLOT-BAR-ABSOLUTE:CAPS">GTK_PLOT_BAR_ABSOLUTE</para></entry>
<entry role="enum_member_description"></entry>
<entry role="enum_member_annotations"></entry>
</row>
</tbody></tgroup></informaltable>
</refsect3></refsect2>

</refsect1>
<refsect1 id="GtkPlotBar.property-details" role="property_details">
<title role="property_details.title">Property Details</title>
<refsect2 id="GtkPlotBar--orientation" role="property"><title>The <literal>“orientation”</literal> property</title>
<indexterm zone="GtkPlotBar--orientation"><primary>GtkPlotBar:orientation</primary></indexterm>
<programlisting>  “orientation”              <link linkend="GtkOrientation"><type>GtkOrientation</type></link></programlisting>
<para>Orientation.</para><para>Flags: Read / Write</para>
<para>Default value: GTK_ORIENTATION_HORIZONTAL</para>
</refsect2>
<refsect2 id="GtkPlotBar--width" role="property"><title>The <literal>“width”</literal> property</title>
<indexterm zone="GtkPlotBar--width"><primary>GtkPlotBar:width</primary></indexterm>
<programlisting>  “width”                    <link linkend="gdouble"><type>gdouble</type></link></programlisting>
<para>Width.</para><para>Flags: Read / Write</para>
<para>Allowed values: &gt;= 0</para>
<para>Default value: 0</para>
</refsect2>

</refsect1>

</refentry>
